Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Error code: sec_error_expired_issuer_certificate

  • 19 replies
  • 1 has this problem
  • 836 views
  • Last reply by hhkdo

more options

I cannot browser the following domains from just two days ago (2021/10/1). I received the error message I had typed on the topic "sec_error_expired_issuer_certificate".

https://www.liveinternet.ru https://warheroes.ru

I had checked somebody had the same error message several years ago and went to check the Certificate tab as mentioned in the following thread:

- Tools > Options > Advanced : Encryption: Certificates - View Certificates - Go to the Authorities tab. - Scroll down to the VeriSign section.

Now I don't know which Certificate are needed for "www.liveinternet.ru" and "warheroes.ru". Can any body help me to obtain the Certificate and found the old Certificate and delete it?

I am using firefox 12.0 but not willing to update it. Please understand I do not want to update my browser as a solution to solve the error messgae. I can't find any link to add exception when I visit these 2 domains (www.liveinternet.ru, warheroes.ru) ...

Can anybody help me as soon as possible. I visit www.liveinternet.ru everyday. Using another browser is annoying for me to browse liveinternet.ru...

The following image attached shown what problem I am facing...

I cannot browser the following domains from just two days ago (2021/10/1). I received the error message I had typed on the topic "sec_error_expired_issuer_certificate". https://www.liveinternet.ru https://warheroes.ru I had checked somebody had the same error message several years ago and went to check the Certificate tab as mentioned in the following thread: - Tools > Options > Advanced : Encryption: Certificates - View Certificates - Go to the Authorities tab. - Scroll down to the VeriSign section. Now I don't know which Certificate are needed for "www.liveinternet.ru" and "warheroes.ru". Can any body help me to obtain the Certificate and found the old Certificate and delete it? I am using firefox 12.0 but not willing to update it. Please understand I do not want to update my browser as a solution to solve the error messgae. I can't find any link to add exception when I visit these 2 domains (www.liveinternet.ru, warheroes.ru) ... Can anybody help me as soon as possible. I visit www.liveinternet.ru everyday. Using another browser is annoying for me to browse liveinternet.ru... The following image attached shown what problem I am facing...
Attached screenshots

Chosen solution

Good news: I can just browsed liveinternet.ru without upgrading my cert. "liveinternet.ru" itself may now upgrade something to let me to viewing its site. Hope no problem will arise in the near future and thank you to reply me even though the problem is not solved by you! The problem is solved by itself within sometime....

Read this answer in context 👍 0

All Replies (19)

more options

Firefox 12?! I'm surprised it even works any more. Why on earth that version?

Both of those sites use a Let's Encrypt certificate. Those are typically replaced every 2-3 months, so if you have been saving exceptions for them, you need to remove their exceptions.

In the Certificate Manager, look at the "Servers" tab to remove individual site certificates.

The "issuer" of the latest Let's Encrypt site certificates is "Let's Encrypt" and the latest signing cert is "R3". However, I don't know whether it was exactly the same last month.

Of course, if you need to flush all your exceptions, you can delete the cert8.db file from your Firefox profile folder.

more options

Very big thank you to get a quick reply! If I delete the cert8.db from the folder, the browser will not ask for the domains I provided for exception forever? Very annoying for getting the "sec_error_expired_issuer_certificate" after an unknown period. I have backup the cert8.db to another place in my drive. If I delete the Certificate for "www.liveinternet.ru", I shall still got the "sec_error_expired_issuer_certificate" error when I visit "www.liveinternet.ru" everytime?

I am anxious about something cannot be undo. Thus, I have to still keep asking more.

more options

hhkdo said

If I delete the cert8.db from the folder, the browser will not ask for the domains I provided for exception forever?

No, deleting cert8.db resets Firefox back to factory certificate handling. You will need to add all the exceptions again. You only need to delete the file if things are "stuck" and cannot be deleted.

more options

Just press delete (刪除) *.liveinternet.ru, that's all?

more options

hhkdo said

Just press delete (刪除) *.liveinternet.ru, that's all?

Yes, you can try that.

I'm surprised that you need to make so many exceptions. I have zero. A lot must have changed over the years.

more options

There's a similar thread going on the MozillaZine forums for a Firefox 41 user:

http://forums.mozillazine.org/viewtopic.php?p=14905021#p14905021

more options

jscher2000 said

hhkdo said

Just press delete (刪除) *.liveinternet.ru, that's all?

Yes, you can try that.

I'm surprised that you need to make so many exceptions. I have zero. A lot must have changed over the years.

I have to add exceptions in order to view webpages otherwise I cannot view the webpage. ls there anyway to view webpages without adding exceptions?!

The following box appeared before I can view the webpage. Again, I don't want to upgrade my browser as a solution.

Modified by hhkdo

more options

jscher2000 said

hhkdo said

Just press delete (刪除) *.liveinternet.ru, that's all?

Yes, you can try that.

I'm surprised that you need to make so many exceptions. I have zero. A lot must have changed over the years.

I delete the exceptions *.liveinternet.ru, the same error still appear! Please help me! Or I shall remove the IdenTrust DST Root CA X3 root certificate and manually install the ISRG Root X1 root certificate as the link provided but where to find ISRG Root X1 root certificate (not the cross-signed one)?!

more options

hhkdo said

I have to add exceptions in order to view webpages otherwise I cannot view the webpage. ls there anyway to view webpages without adding exceptions?!

It is never necessary to add exceptions for properly run sites in recent versions of Firefox. I suspect it is related to old versions not supporting current security standards.

The following box appeared before I can view the webpage. Again, I don't want to upgrade my browser as a solution.

openssl.org also uses a Let's Encrypt certificate. Please check the other thread I mentioned:

http://forums.mozillazine.org/viewtopic.php?p=14905021#p14905021

more options

In the about:config, I cannot find app.update.lastUpdateTime.xpi-signature-verification. I import the addon you provided and import to Authorities tab and I open about:config and cannot the module I just mentioned and then restart firefox.

I mistakely add the addon you provided to the server tab and delete it. Then I re-import the addon to the Authorities tab and finally I cannot find the module app.update.lastUpdateTime.xpi-signature-verification in about:config. I still cannot view liveinternet.ru with the same error as the topic. Can you further help me. Very sorry the problem still cannot solved... :(

Modified by hhkdo

more options

hhkdo said

In the about:config, I cannot find app.update.lastUpdateTime.xpi-signature-verification.

You can ignore Steps #3 and #4. Those are only for the add-ons issue.

more options

jscher2000 said

hhkdo said

In the about:config, I cannot find app.update.lastUpdateTime.xpi-signature-verification.

You can ignore Steps #3 and #4. Those are only for the add-ons issue.

That's finally I cannot resolve my problem? I cannot imagine the Firefox browser will cause more website cannot be loaded as time goes on. Very annoying for me. There something annoying when I use another browser.

I can view "warheroes.ru" from yesterday because the browser can accept the exception but don't know when the exception will expire. I just check the expiry date for "warheroes.ru" is 2021/11/9. Don't know what shall be happened a month later.... :(

I also registered the forum from your link provided. Hope more people can help me... :(

Modified by hhkdo

more options

It looks like your Firefox 12 has not been able to verify modern certificates for a long time. What happened recently was that an issuer certificate expired. After fixing that problem, probably you are going to go back to how it was last month. I am definitely not going to install an old insecure version of Firefox for testing. NO WAY.

more options

Finally I installed Netscape 9.0 for viewing "liveinternet.ru". Maybe using it for browsing this domain forever.... :(

Modified by hhkdo

more options

According to this post, you need to both import the new X1 certificate and delete an old one, but of course I have not tested this myself:

https://www.reddit.com/r/firefox/comments/q0opij/letsencrypt_certificate_fix_in_firefox_48/hf9y4f0/

more options

jscher2000 said

According to this post, you need to both import the new X1 certificate and delete an old one, but of course I have not tested this myself: https://www.reddit.com/r/firefox/comments/q0opij/letsencrypt_certificate_fix_in_firefox_48/hf9y4f0/

Where is the old X1 certificate located? I export to backup before I consider to do or not.

more options

hhkdo said

jscher2000 said

According to this post, you need to both import the new X1 certificate and delete an old one, but of course I have not tested this myself: https://www.reddit.com/r/firefox/comments/q0opij/letsencrypt_certificate_fix_in_firefox_48/hf9y4f0/

Where is the old X1 certificate located? I export to backup before I consider to do or not.

On the Authorities tab, it may be listed under "Internet Security Research Group" or "Digital Signature Trust".

more options

I finally found the old X1 cert at the Authorities tab under Digital Signature Trust. I am waiting for others feedback if there are any series problem before I add the new X1 cert.. I still temporary using Netscape 9.0 for browsing. The old X1 cert is exported for backup already...

Modified by hhkdo

more options

Chosen Solution

Good news: I can just browsed liveinternet.ru without upgrading my cert. "liveinternet.ru" itself may now upgrade something to let me to viewing its site. Hope no problem will arise in the near future and thank you to reply me even though the problem is not solved by you! The problem is solved by itself within sometime....